misc_deregister
Prev | Chapter 21. Miscellaneous Devices | Next

## Name

misc_deregister — unregister a miscellaneous device

## Synopsis

`int misc_deregister (` | struct miscdevice * | misc`)`;

## Arguments

`misc`

  device to unregister

## Description

Unregister a miscellaneous device that was previously successfully registered with `misc_register`. Success is indicated by a zero return, a negative errno code indicates an error.

Prev | Up | Next
misc_register | Home | Chapter 22. Parallel Port Devices